<?php
/**
 * CRM 基本模块
 * 默认接口方法，此方法内定议基础框架所需要的方法，用于验证模块合法性，模块版本，对接基础架构中需要的方法
 *
 * ============================================================================
 * 版权所有 2017北京素玄科技，并保留所有权利。
 *
 * 网站地址: http://www.suxuantech.com
 * ----------------------------------------------------------------------------
 * 这不是一个自由软件！未经允许的情况下，您不能对本系统代码做任何修改 .
 * 不允许对程序代码以任何形式任何目的的再发布。
 * 如有修改需求，请联系素玄科技有限公司：contact@suxuantech.cn
 * ============================================================================
 * $Author: songdemei<songdemei@suxuantech.cn> 2017-10-17 $
 */
namespace app\systems\controller;
use app\index\controller\Base;


class Systems extends Base
{

    public function index(){
        return $this->fetch();
    }

    //客户分区列表、查询
    public function customerPartition(){

    }

    //新增客户分区
    public function addPartition(){

    }

    //编辑客户分区
    public function editPartition(){

    }

    //删除客户分区
    public function delPartition(){

    }

    //客户来源列表、查询
    public function customerSource(){

    }

    //新增客户来源
    public function addSource(){

    }

    //编辑客户来源
    public function editSource(){

    }

    //删除客户来源
    public function delSource(){

    }

    //接单点列表、查询
    public function orderSite(){

    }

    //新增接单点
    public function addOrderSite(){

    }

    //编辑接单点
    public function editOrderSite(){

    }

    //删除接单点
    public function delOrderSite(){

    }

    //客户意向
    public function customerIntention(){

    }

    //新增客户意向
    public function addIntention(){

    }

    //编辑客户意向
    public function editIntention(){

    }

    //删除客户意向
    public function delIntention(){

    }

    //获取方式列表、查询
    public function gainMode(){

    }

    //新增获取方式
    public function addGainMode(){

    }

    //编辑获取方式
    public function editGainMode(){

    }

    //删除获取方式
    public function delGainMode(){

    }

    //客户地域列表、查询
    public function customerTerritory(){

    }

    //新增客户地域
    public function addTerritory(){

    }

    //编辑客户地域
    public function editTerritory(){

    }

    //删除客户地域
    public function delTerritory(){

    }

    //消费范围列表、查询
    public function consumptionRange(){

    }

    //新增消费范围
    public function addRange(){

    }

    //编辑消费范围
    public function editRange(){

    }

    //删除消费范围
    public function delRange(){

    }

    //客户标记列表、查询
    public function customerLabel(){

    }

    //新增客户标记
    public function addLabel(){

    }

    //编辑客户标记
    public function editLabel(){

    }

    //删除客户标记
    public function delLabel(){

    }

    //部门列表、查询
    public function department(){

    }

    //新增部门
    public function addDepartment(){

    }

    //编辑部门
    public function editDepartment(){

    }

    //删除部门
    public function delDepartment(){

    }

    //职务列表、查询
    public function duty(){

    }

    //新增职务
    public function addDuty(){

    }

    //编辑职务
    public function editDuty(){

    }

    //删除职务
    public function delDuty(){

    }

    //分组管理列表、查询
    public function group(){

    }

    //新增分组
    public function addGroup(){

    }

    //编辑分组
    public function editGroup(){

    }

    //删除分组
    public function delGroup(){

    }

    //店面列表、查询
    public function storefront(){

    }

    //新增店面
    public function addStorefront(){

    }

    //编辑店面
    public function editStorefront(){

    }

    //删除店面
    public function delStorefront(){

    }

    //客资分配规则列表、查询
    public function allocationRules(){

    }

    //新增客资分配规则
    public function addAllocationRules(){

    }

    //编辑客资分配规则
    public function editAllocationRules(){

    }


    //删除客资分配规则
    public function delAllocationRules(){

    }

    //渠道类型列表、查询
    public function channelType(){

    }

    //新增渠道类型
    public function addChannelType(){

    }

    //编辑渠道类型
    public function editChannelType(){

    }

    //删除渠道类型
    public function delChannelType(){

    }

    //客资提醒设置
    public function remind(){

    }

    //新增客资提醒
    public function addRemind(){

    }

    //编辑客资提醒
    public function editRemind(){

    }

    //删除客资提醒
    public function delRemind(){

    }

    //标准业务沟通流程
    public function businessProcess(){

    }

    //新增业务流程
    public function addBusinessProcess(){

    }

    //编辑业务流程
    public function editBusinessProcess(){

    }

    //删除业务流程
    public function delBusinessProcess(){

    }

    //业绩目标列表、查询
    public function performanceTargets(){

    }

    //新增业绩目标
    public function addPerformanceTargets(){

    }

    //综合能力五维图设定
    public function comprehensiveAbility(){

    }

    //追踪失败原因列表、查询
    public function trackingFailCause(){

    }

    //新增失败原因
    public function addFailCause(){

    }

    //编辑失败原因
    public function editFailCause(){

    }

    //短信模板列表、查询
    public function messageTemplate(){

    }

    //新增短信模板
    public function addMessageTemplate(){

    }

    //编辑短信模板
    public function editMessageTemplate(){

    }

    //删除短信模板
    public function delMessageTemplate(){

    }

    //微信提醒推送模板列表、查询
    public function wechatTemplate(){

    }

    //新增微信提醒推送模板
    public function addWechatTemplate(){

    }

    //编辑微信提醒推送模板
    public function editWechatTemplate(){

    }

    //删除微信提醒推送模板
    public function delWechatTemplate(){

    }

    //客资追踪标记列表、查询
    public function trackTags(){

    }

    //新增客资追踪标记
    public function addTrackTags(){

    }

    //编辑客资追踪标记
    public function editTrackTags(){

    }

    //删除客资追踪标记
    public function delTrackTags(){

    }
}